<div [formGroup]="form">
  <fieldset [disabled]="showEditButton">
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8 text-danger">CTN</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="ctn" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
      </div>
    </div>

    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Product Type</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="productTypes" name="productType" placeholder="Search Product Type"
                         displayExpr="prodTypeDes" valueExpr="prodTypeId"
                         formControlName="productType" required
                         [searchEnabled]="true" [searchExpr]="['prodTypeDes']" searchMode="startswith">
          </dx-select-box>
          <!--<div *ngIf="productType.invalid && (productType.dirty || productType.touched || isSubmitted)">
            <span *ngIf="productType.errors.required" class="form-text text-danger">Product Type is required  </span>
          </div>-->
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Order Type</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="orderTypes" name="orderType" placeholder="Search Order Type"
                         displayExpr="ordrTypeDes" valueExpr="ordrTypeId"
                         formControlName="orderType" required
                         [searchEnabled]="true" [searchExpr]="['ordrTypeDes']" searchMode="startswith">
          </dx-select-box>
          <!--<div *ngIf="orderType.invalid && (orderType.dirty || orderType.touched || isSubmitted)">
            <span *ngIf="orderType.errors.required" class="form-text text-danger">Order Type is required  </span>
          </div>-->
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Vendor Name</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="vendors" name="vendorName" placeholder="Vendor Name"
                         displayExpr="vndrNme" valueExpr="vndrCd"
                         formControlName="vendorName" required
                         [searchEnabled]="true" [searchExpr]="['vndrNme']" searchMode="startswith">
          </dx-select-box>
          <!--<div *ngIf="vendorName.invalid && (vendorName.dirty || vendorName.touched || isSubmitted)">
            <span *ngIf="vendorName.errors.required" class="form-text text-danger">Vendor Name is required  </span>
          </div>-->
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">

      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">CWD</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-date-box type="date"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy"
                       width="100%"
                       placeholder=""
                       [useMaskBehavior]="true"
                       formControlName="cwd">
          </dx-date-box>
          <!--<div *ngIf="cwd.invalid && (cwd.dirty || cwd.touched || isSubmitted)">
            <span *ngIf="cwd.errors.required" class="form-text text-danger">CWD is required  </span>
          </div>-->
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">CCD</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-date-box type="date"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy"
                       width="100%"
                       placeholder=""
                       [useMaskBehavior]="true"
                       formControlName="ccd">
          </dx-date-box>
          <!--<div *ngIf="ccd.invalid && (cwd.dirty || ccd.touched || isSubmitted)">
            <span *ngIf="ccd.errors.required" class="form-text text-danger">CCD is required  </span>
          </div>-->
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8 text-danger">Customer Name</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="custName" maxlength="1000" minlength="1" required />
          <!--<div *ngIf="custName.invalid && (custName.dirty || custName.touched || isSubmitted)">
            <span *ngIf="custName.errors.required" class="form-text text-danger"> Customer Name is required </span>
            <div *ngIf="custName.errors.minlength" class="form-text text-danger"> Customer Name must be at least 1 digit long </div>
          </div>-->
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">H6 Account Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" id="numbersonly" class="form-control form-control-sm" formControlName="h5AccountNumber" minlength="9" maxlength="9" required />
          <!--<div *ngIf="h5AccountNumber.invalid && (h5AccountNumber.dirty || h5AccountNumber.touched || isSubmitted)">
            <span *ngIf="h5AccountNumber.errors.required" class="form-text text-danger">H5 Account Number is required  </span>
          </div>-->
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">2 Site City</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="sitCity" />
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Site Country</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="countries" name="sitCountry" placeholder="Site Country"
                         displayExpr="ctryNme" valueExpr="ctryCd"
                         formControlName="sitCountry" required
                         [searchEnabled]="true" [searchExpr]="['ctryNme']" searchMode="startswith">
          </dx-select-box>
          <!--<div *ngIf="sitCountry.invalid && (sitCountry.dirty || sitCountry.touched || isSubmitted)">
            <span *ngIf="sitCountry.errors.required" class="form-text text-danger">Site Country is required  </span>
          </div>-->
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">SOL</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="sol" />
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">OE</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="oe" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">Private Line Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="privateLineNumber" />
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">SOTS Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="sotsNumber" />
        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8  text-danger">Order sent by Lassie</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <dx-select-box [items]="lassies" name="lassie" placeholder="Order sent by Lassie"
                         displayExpr="description" valueExpr="value"
                         formControlName="ordrSentLassie" required
                         [searchEnabled]="true" [searchExpr]="['description']" searchMode="startswith">
          </dx-select-box>
          <!--<div *ngIf="ordrSentLassie.invalid && (ordrSentLassie.dirty || ordrSentLassie.touched || isSubmitted)">
            <span *ngIf="ordrSentLassie.errors.required" class="form-text text-danger">Order sent by Lassie is required  </span>
          </div>-->
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group form-group-sm row col-24 col-lg-12">
        <label class="col-form-label col-24 col-lg-8">Bill Cycle Number</label>
        <div class="col-24 col-lg-16 pl-0 pl-lg-3">
          <input type="text" class="form-control form-control-sm" formControlName="billCycleNumber" />

        </div>
      </div>
      <div class="form-group form-group-sm row col-24 col-lg-12">
      </div>
    </div>


    <div class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col-24 col-lg-4">Email Notification</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <textarea class="form-control form-control-sm" formControlName="emailNotification" rows="5" maxlength="500"></textarea>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col-24 col-lg-4  text-danger">Comments</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <textarea class="form-control form-control-sm" formControlName="comment" placeholder="" rows="5" maxlength="500" required></textarea>
          <div>
            {{ comment.value.length > 500 ? 0 : 500 - comment.value.length }} character(s) left!
          </div>
          <!--<div *ngIf="comment.invalid && (comment.dirty || comment.touched || isSubmitted)">
            <span *ngIf="comment.errors.required" class="form-text text-danger">Comments is required  </span>
          </div>-->
        </div>
      </div>
    </div>    
  </fieldset>
</div>
